Eclipse Platform Release 3.7

## org.eclipse.core.commands
Interface ITypedParameter

    public interface ITypedParameter

A command parameter that has a declared type. This interface is intended to be implemented by implementors of `IParameter` that will support parameter types.

Since:
  3.2

Method Summary
`ParameterType` `getParameterType()` Returns the `ParameterType` associated with a command parameter or `null` if the parameter does not declare a type.

Method Detail

### getParameterType

    ParameterType getParameterType()

  Returns the `ParameterType` associated with a command parameter or `null` if the parameter does not declare a type.

  Note that the parameter type returned may be undefined.

  Returns:
    the parameter type associated with a command parameter or `null` if the parameter does not declare a type

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.